<form id="Reservar">
  <div class="form-group">
    <label for="email">Correo electrónico </label>
    <input type="email" class="form-control" name="email" id="email" placeholder="example@duoc.cl" required>
  </div>
  <div class="form-group">
    <label for="Run">Run</label>
    <input type="text" class="form-control" name="run" id="Run" placeholder="12.345.678-9" required maxlength="12">
  </div>
  <div class="form-group">
    <label for="Nombre">Nombre Completo</label>
    <input type="text" class="form-control" name="nombre" id="Nombre" placeholder="Nombre Apellido" required>
  </div>
  <div class="form-group">
    <label for="fecha_reserva">Fecha de Reserva</label>
    <input type="date" class="form-control" name="fecha_reserva" id="fecha_reserva" placeholder="01/01/2019"
      required>
  </div>
  <div class="form-group">
    <label for="hora">Hora</label>
        <input type="time" name="hora" class="form-control" id="hora" min="10:00"
                 max="18:00" step="3600">
    </div>
  <div class="form-group">
    <label for="servicio">Tipo de servicio</label>
    <select disabled required name="servicio" id="servicio" class="form-control">
        <option value="-1">-- Seleccione --</option>
        <option value="1">Manicure</option>
        <option value="2">Pedicure</option>
        <option value="3">Masaje</option>
    </select>
</div>
  <div class="form-group">
    <label for="Telefono">Teléfono de contacto</label>
    <input type="number" class="form-control" name="telefono" id="Telefono" placeholder="123456789">
  </div>
 
  <button type="submit" class="btn btn-primary">Enviar</button>
</form>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

<script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.17.0/dist/jquery.validate.min.js"></script>
<script>
  $(function () {

    //e9c7e4860f881f2fa6d870566328a112a22b6508
    $.ajax({
      method: "get",
      url: 'http://api.beta.datos.gob.cl/api/v2/datastreams/ID-REGIO-Y-COMUN/data.json/?auth_key=e9c7e4860f881f2fa6d870566328a112a22b6508'
    }).done(function (response) {
      console.log(response.result.fArray);
    })
      .fail()
  });

  $.validator.addMethod("frun", function (value, element) {
    return this.optional(element) || /^0*(\d{1,3}(\.?\d{3})*)\-?([\dkK])$/.test(value);
  }, "Debe ingresar un formato de run valido");

  $.validator.addMethod("justtext", function (value, element) {
    return this.optional(element) || /^[a-zA-Z ]/.test(value);
  }, "Debe ingresar solo texto");

  $("#formularioReserva").validate({
    rules: {
      email: {
        required: true,
        email: true
      },
      run: {
        required: true,
        frun: true,
        max:12
      },
      nombre: {
        required: true,
        justtext: true
      },
      fecha_reserva: {

        required: true,
      },
      telefono: {
        number: true
      },
      hora: {
        required: 1,
       number: true,
        
      },
      servicio: {
        required: 1,
        number: true
       
      }
  }});

</script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
crossorigin="anonymous">